cascading.tap.hadoop.io

## Class StreamedFileSystem

- java.lang.Object
- - org.apache.hadoop.conf.Configured
  - - org.apache.hadoop.fs.FileSystem
    - - cascading.tap.hadoop.io.StreamedFileSystem

All Implemented Interfaces:
  java.io.Closeable, java.lang.AutoCloseable, Configurable

Direct Known Subclasses:
  HttpFileSystem

    public abstract class StreamedFileSystem
    extends FileSystem

Class StreamedFileSystem is a base class for `FileSystem` implementations that manage remote resources.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.hadoop.fs.FileSystem

`FileSystem.Statistics`

### Field Summary

### Fields inherited from class org.apache.hadoop.fs.FileSystem

`DEFAULT_FS, FS_DEFAULT_NAME_KEY, LOG, SHUTDOWN_HOOK_PRIORITY, statistics`

### Constructor Summary

Constructors
Constructor and Description
`StreamedFileSystem()`

### Method Summary

Methods
`FSDataOutputStream` `append(Path f, int bufferSize, Progressable progress)`
`FSDataOutputStream` `create(Path path, FsPermission permission, boolean overwrite, int bufferSize, short replication, long blockSize, Progressable progress)`
`boolean` `delete(Path path)` Deprecated.
`boolean` `delete(Path path, boolean b)`
`static java.lang.String` `getMD5SumFor(Configuration conf, Path path)`
`static java.lang.String` `getMD5SumFor(Configuration conf, java.lang.String path)`
`Path` `getWorkingDirectory()`
`FileStatus[]` `listStatus(Path path)`
`boolean` `mkdirs(Path path, FsPermission fsPermission)`
`boolean` `rename(Path path, Path path1)`
`static void` `setMD5SumFor(Configuration conf, Path path, java.lang.String md5Hex)`
`static void` `setMD5SumFor(Configuration conf, java.lang.String path, java.lang.String md5Hex)`
`void` `setWorkingDirectory(Path f)`

### Methods inherited from class org.apache.hadoop.fs.FileSystem

`access, addDelegationTokens, append, append, areSymlinksEnabled, cancelDeleteOnExit, canonicalizeUri, checkPath, clearStatistics, close, closeAll, closeAllForUGI, completeLocalOutput, concat, copyFromLocalFile, copyFromLocalFile, copyFromLocalFile, copyFromLocalFile, copyToLocalFile, copyToLocalFile, copyToLocalFile, create, create, create, create, create, create, create, create, create, create, create, create, createNewFile, createNonRecursive, createNonRecursive, createNonRecursive, createSnapshot, createSnapshot, createSymlink, deleteOnExit, deleteSnapshot, enableSymlinks, exists, fixRelativePart, get, get, get, getAclStatus, getAllStatistics, getBlockSize, getCanonicalServiceName, getCanonicalUri, getChildFileSystems, getContentSummary, getDefaultBlockSize, getDefaultBlockSize, getDefaultPort, getDefaultReplication, getDefaultReplication, getDefaultUri, getDelegationToken, getFileBlockLocations, getFileBlockLocations, getFileChecksum, getFileChecksum, getFileLinkStatus, getFileStatus, getFileSystemClass, getFSofPath, getHomeDirectory, getInitialWorkingDirectory, getLength, getLinkTarget, getLocal, getName, getNamed, getReplication, getScheme, getServerDefaults, getServerDefaults, getStatistics, getStatistics, getStatus, getStatus, getUri, getUsed, getXAttr, getXAttrs, getXAttrs, globStatus, globStatus, initialize, isDirectory, isFile, listCorruptFileBlocks, listFiles, listLocatedStatus, listLocatedStatus, listStatus, listStatus, listStatus, listStatusIterator, listXAttrs, makeQualified, mkdirs, mkdirs, modifyAclEntries, moveFromLocalFile, moveFromLocalFile, moveToLocalFile, newInstance, newInstance, newInstance, newInstanceLocal, open, open, primitiveCreate, primitiveMkdir, primitiveMkdir, printStatistics, processDeleteOnExit, removeAcl, removeAclEntries, removeDefaultAcl, removeXAttr, rename, renameSnapshot, resolveLink, resolvePath, setAcl, setDefaultUri, setDefaultUri, setOwner, setPermission, setReplication, setTimes, setVerifyChecksum, setWriteChecksum, setXAttr, setXAttr, startLocalOutput, supportsSymlinks, truncate`

### Methods inherited from class org.apache.hadoop.conf.Configured

`getConf, setConf`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StreamedFileSystem

    public StreamedFileSystem()

### Method Detail

#### create

    public FSDataOutputStream create(Path path,
                            FsPermission permission,
                            boolean overwrite,
                            int bufferSize,
                            short replication,
                            long blockSize,
                            Progressable progress)
                              throws java.io.IOException

Specified by:
  `create` in class `FileSystem`
Throws:
  `java.io.IOException`

#### rename

    public boolean rename(Path path,
                 Path path1)
                   throws java.io.IOException

Specified by:
  `rename` in class `FileSystem`
Throws:
  `java.io.IOException`

#### delete

    @Deprecated
    public boolean delete(Path path)
                   throws java.io.IOException

Deprecated.

Overrides:
  `delete` in class `FileSystem`
Throws:
  `java.io.IOException`

#### delete

    public boolean delete(Path path,
                 boolean b)
                   throws java.io.IOException

Specified by:
  `delete` in class `FileSystem`
Throws:
  `java.io.IOException`

#### getWorkingDirectory

    public Path getWorkingDirectory()

Specified by:
  `getWorkingDirectory` in class `FileSystem`

#### setWorkingDirectory

    public void setWorkingDirectory(Path f)

Specified by:
  `setWorkingDirectory` in class `FileSystem`

#### mkdirs

    public boolean mkdirs(Path path,
                 FsPermission fsPermission)
                   throws java.io.IOException

Specified by:
  `mkdirs` in class `FileSystem`
Throws:
  `java.io.IOException`

#### listStatus

    public FileStatus[] listStatus(Path path)
                            throws java.io.IOException

Specified by:
  `listStatus` in class `FileSystem`
Throws:
  `java.io.IOException`

#### append

    public FSDataOutputStream append(Path f,
                            int bufferSize,
                            Progressable progress)
                              throws java.io.IOException

Specified by:
  `append` in class `FileSystem`
Throws:
  `java.io.IOException`

#### getMD5SumFor

    public static java.lang.String getMD5SumFor(Configuration conf,
                                Path path)

#### getMD5SumFor

    public static java.lang.String getMD5SumFor(Configuration conf,
                                java.lang.String path)

#### setMD5SumFor

    public static void setMD5SumFor(Configuration conf,
                    Path path,
                    java.lang.String md5Hex)

#### setMD5SumFor

    public static void setMD5SumFor(Configuration conf,
                    java.lang.String path,
                    java.lang.String md5Hex)